Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class AmigaDisplayInfo

    java.lang.Object
      org.monte.media.anim.AmigaDisplayInfo

    public class AmigaDisplayInfo

extends java.lang.Object

`AmigaDisplayInfo`.

Version:
  1.0 2011-09-04 Created.
Author:
  Werner Randelshofer

Field Summary
`static int` | `A2024_MONITOR_ID` A2024, 60fps (I don't know the real value).
`int` | `camg`
`static int` | `COLORMODE_MASK` CAMG display properties.
`int` | `colorRegisterDepth`
`static int` | `DBLNTSC_320x200_44t52_58fps`
`static int` | `DBLNTSC_320x400_44t26_58fps`
`static int` | `DBLNTSC_320x800_44t13_interlaced_58fps`
`static int` | `DBLNTSC_640x200_22t52_58fps`
`static int` | `DBLNTSC_640x400_22t26_58fps`
`static int` | `DBLNTSC_640x800_22t13_interlaced_58fps`
`static int` | `DBLNTSC_MONITOR_ID` DBLNTSC, 58fps, 44:52.
`static int` | `DBLPAL_320x1024_44t11_interlaced_48fps`
`static int` | `DBLPAL_320x256_44t44_48fps`
`static int` | `DBLPAL_320x512_44t22_48fps`
`static int` | `DBLPAL_640x1024_22t11_interlaced_48fps`
`static int` | `DBLPAL_640x256_22t44_48fps`
`static int` | `DBLPAL_640x512_22t22_48fps`
`static int` | `DBLPAL_MONITOR_ID` DBLPAL, 48fps, 44:44.
`static int` | `DEFAULT_MONITOR_ID` Default ID chooses a system dependent screen mode.
`static int` | `DUALPLAYFIELD_MASK` CAMG dual playfield mask.
`static int` | `DUALPLAYFIELD_MODE` CAMG dual playfield mode.
`static int` | `EHB_COLORMODE` CAMG EHB mode.
`static int` | `EURO36_1280x200_11t44_73fps`
`static int` | `EURO36_1280x400_11t22_interlaced_73fps`
`static int` | `EURO36_320x200_44t44_73fps`
`static int` | `EURO36_320x400_44t22_interlaced_73fps`
`static int` | `EURO36_640x200_22t44_73fps`
`static int` | `EURO36_640x400_22t22_interlaced_73fps`
`static int` | `EURO36_MONITOR_ID` EURO36, 73fps, 44:44.
`static int` | `EURO72_640x400_22t22_69fps`
`static int` | `EURO72_640x800_22t11_interlaced_69fps`
`static int` | `EURO72_MONITOR_ID` EURO72, 69fps, 44:44.
`int` | `fps`
`static int` | `HAM_COLORMODE` CAMG HAM mode.
`int` | `maximalSizeHeight`
`int` | `maximalSizeWidth`
`int` | `maxOverscanHeight`
`int` | `maxOverscanWidth`
`int` | `minimalSizeHeight`
`int` | `minimalSizeWidth`
`static int` | `MONITOR_ID_MASK` CAMG monitor ID mask.
`static int` | `MULTISCAN_160x480_88t22_58fps`
`static int` | `MULTISCAN_160x960_88t11_interlaced_58fps`
`static int` | `MULTISCAN_320x480_44t22_58fps`
`static int` | `MULTISCAN_320x960_44t11_interlaced_58fps`
`static int` | `MULTISCAN_640x480_22t22_58fps`
`static int` | `MULTISCAN_640x960_22t11_interlaced_58fps`
`static int` | `MULTISCAN_INTERLACE_MASK` CAMG interlace mask.
`static int` | `MULTISCAN_INTERLACE_MODE` CAMG interlace mode.
`static int` | `MULTISCAN_MONITOR_ID` MULTISCAN (VGA), 58fps, 44:44.
`java.lang.String` | `name`
`static int` | `NTSC_1280x200_11t52_60fps`
`static int` | `NTSC_1280x400_11t26_interlaced_60fps`
`static int` | `NTSC_320x200_44t52_60fps` Well known CAMG formats.
`static int` | `NTSC_320x400_44t26_interlaced_60fps`
`static int` | `NTSC_640x200_22t52_60fps`
`static int` | `NTSC_640x400_22t26_interlaced_60fps`
`static int` | `NTSC_MONITOR_ID` NTSC, 60fps, 44:52.
`static int` | `PAL_1280x256_11t44_50fps`
`static int` | `PAL_1280x512_11t22_interlaced_50fps`
`static int` | `PAL_320x256_44t44_50fps`
`static int` | `PAL_320x512_44t22_interlaced_50fps`
`static int` | `PAL_640x256_22t44_50fps`
`static int` | `PAL_640x512_22t22_interlaced_50fps`
`static int` | `PAL_MONITOR_ID` PAL, 50fps, 44:44.
`static int` | `PALNTSC_INTERLACE_MASK` CAMG interlace mask.
`static int` | `PALNTSC_INTERLACE_MODE` CAMG interlace mode.
`int` | `pixelSpeed` Approximation in nanoseconds.
`static int` | `PROTO_MONITOR_ID` PROTO, 60fps (I don't know the real value).
`int` | `resolutionX` Ticks per pixel X/Y
`int` | `resolutionY` Ticks per pixel X/Y
`static int` | `SUPER72_200x300_68t40_71fps`
`static int` | `SUPER72_200x600_68t20_interlaced_71fps`
`static int` | `SUPER72_400x300_34t40_71fps`
`static int` | `SUPER72_400x600_34t20_interlaced_71fps`
`static int` | `SUPER72_800x300_17t40_71fps`
`static int` | `SUPER72_800x600_17t20_interlaced_71fps`
`static int` | `SUPER72_MONITOR_ID` SUPER72, 71fps, 34:40.
`int` | `textOverscanHeight`
`int` | `textOverscanWidth`

Constructor Summary
`AmigaDisplayInfo(int camg, java.lang.String name, java.awt.Dimension textOverscan, java.awt.Dimension maxOverscan, java.awt.Dimension minimalSize, java.awt.Dimension maximalSize, int colorRegisterDepth, java.awt.Dimension resolution, int pixelSpeed, int fps)`

Method Summary
`static java.util.Map<java.lang.Integer,AmigaDisplayInfo>` | `getAllInfos()`
`static int` | `getFPS(int camg)`
`static int[]` | `getGoodMonitorIds()`
`static AmigaDisplayInfo` | `getInfo(int camg)`
`static int[]` | `getMonitorIds()`
`static java.lang.String` | `getMonitorName(int camg)`
`boolean` | `isDualPlayfield()`
`boolean` | `isEHB()`
`boolean` | `isHAM()`
`boolean` | `isInterlace()`
`boolean` | `isOCS()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### camg

    public final int camg

### name

    public final java.lang.String name

### textOverscanWidth

    public final int textOverscanWidth

### textOverscanHeight

    public final int textOverscanHeight

### maxOverscanWidth

    public final int maxOverscanWidth

### maxOverscanHeight

    public final int maxOverscanHeight

### minimalSizeWidth

    public final int minimalSizeWidth

### minimalSizeHeight

    public final int minimalSizeHeight

### maximalSizeWidth

    public final int maximalSizeWidth

### maximalSizeHeight

    public final int maximalSizeHeight

### colorRegisterDepth

    public final int colorRegisterDepth

### resolutionX

    public final int resolutionX

  Ticks per pixel X/Y

### resolutionY

    public final int resolutionY

  Ticks per pixel X/Y

### pixelSpeed

    public final int pixelSpeed

  Approximation in nanoseconds.

### fps

    public final int fps

### MONITOR_ID_MASK

    public static final int MONITOR_ID_MASK

  CAMG monitor ID mask.

  See Also:
    Constant Field Values

### DEFAULT_MONITOR_ID

    public static final int DEFAULT_MONITOR_ID

  Default ID chooses a system dependent screen mode. We always fall back to NTSC OCS with 60fps. The default monitor ID triggers OCS mode! OCS stands for "Original Chip Set". The OCS chip set only had 4 bits per color register. All later chip sets hat 8 bits per color register.

  See Also:
    Constant Field Values

### NTSC_MONITOR_ID

    public static final int NTSC_MONITOR_ID

  NTSC, 60fps, 44:52.

  See Also:
    Constant Field Values

### PAL_MONITOR_ID

    public static final int PAL_MONITOR_ID

  PAL, 50fps, 44:44.

  See Also:
    Constant Field Values

### MULTISCAN_MONITOR_ID

    public static final int MULTISCAN_MONITOR_ID

  MULTISCAN (VGA), 58fps, 44:44.

  See Also:
    Constant Field Values

### A2024_MONITOR_ID

    public static final int A2024_MONITOR_ID

  A2024, 60fps (I don't know the real value).

  See Also:
    Constant Field Values

### PROTO_MONITOR_ID

    public static final int PROTO_MONITOR_ID

  PROTO, 60fps (I don't know the real value).

  See Also:
    Constant Field Values

### EURO72_MONITOR_ID

    public static final int EURO72_MONITOR_ID

  EURO72, 69fps, 44:44.

  See Also:
    Constant Field Values

### EURO36_MONITOR_ID

    public static final int EURO36_MONITOR_ID

  EURO36, 73fps, 44:44.

  See Also:
    Constant Field Values

### SUPER72_MONITOR_ID

    public static final int SUPER72_MONITOR_ID

  SUPER72, 71fps, 34:40.

  See Also:
    Constant Field Values

### DBLNTSC_MONITOR_ID

    public static final int DBLNTSC_MONITOR_ID

  DBLNTSC, 58fps, 44:52.

  See Also:
    Constant Field Values

### DBLPAL_MONITOR_ID

    public static final int DBLPAL_MONITOR_ID

  DBLPAL, 48fps, 44:44.

  See Also:
    Constant Field Values

### COLORMODE_MASK

    public static final int COLORMODE_MASK

  CAMG display properties.

  See Also:
    Constant Field Values

### HAM_COLORMODE

    public static final int HAM_COLORMODE

  CAMG HAM mode.

  See Also:
    Constant Field Values

### EHB_COLORMODE

    public static final int EHB_COLORMODE

  CAMG EHB mode.

  See Also:
    Constant Field Values

### PALNTSC_INTERLACE_MASK

    public static final int PALNTSC_INTERLACE_MASK

  CAMG interlace mask. Only valid for PAL and NTSC monitors.

  See Also:
    Constant Field Values

### PALNTSC_INTERLACE_MODE

    public static final int PALNTSC_INTERLACE_MODE

  CAMG interlace mode. Only valid for PAL and NTSC monitors.

  See Also:
    Constant Field Values

### MULTISCAN_INTERLACE_MASK

    public static final int MULTISCAN_INTERLACE_MASK

  CAMG interlace mask. Only valid for MULTISCAN monitors.

  See Also:
    Constant Field Values

### MULTISCAN_INTERLACE_MODE

    public static final int MULTISCAN_INTERLACE_MODE

  CAMG interlace mode. Only valid for MULTISCAN monitors.

  See Also:
    Constant Field Values

### DUALPLAYFIELD_MASK

    public static final int DUALPLAYFIELD_MASK

  CAMG dual playfield mask.

  See Also:
    Constant Field Values

### DUALPLAYFIELD_MODE

    public static final int DUALPLAYFIELD_MODE

  CAMG dual playfield mode.

  See Also:
    Constant Field Values

### NTSC_320x200_44t52_60fps

    public static final int NTSC_320x200_44t52_60fps

  Well known CAMG formats.

  See Also:
    Constant Field Values

### NTSC_320x400_44t26_interlaced_60fps

    public static final int NTSC_320x400_44t26_interlaced_60fps

See Also:
  Constant Field Values

### NTSC_640x200_22t52_60fps

    public static final int NTSC_640x200_22t52_60fps

See Also:
  Constant Field Values

### NTSC_640x400_22t26_interlaced_60fps

    public static final int NTSC_640x400_22t26_interlaced_60fps

See Also:
  Constant Field Values

### NTSC_1280x200_11t52_60fps

    public static final int NTSC_1280x200_11t52_60fps

See Also:
  Constant Field Values

### NTSC_1280x400_11t26_interlaced_60fps

    public static final int NTSC_1280x400_11t26_interlaced_60fps

See Also:
  Constant Field Values

### PAL_320x256_44t44_50fps

    public static final int PAL_320x256_44t44_50fps

See Also:
  Constant Field Values

### PAL_320x512_44t22_interlaced_50fps

    public static final int PAL_320x512_44t22_interlaced_50fps

See Also:
  Constant Field Values

### PAL_640x256_22t44_50fps

    public static final int PAL_640x256_22t44_50fps

See Also:
  Constant Field Values

### PAL_640x512_22t22_interlaced_50fps

    public static final int PAL_640x512_22t22_interlaced_50fps

See Also:
  Constant Field Values

### PAL_1280x256_11t44_50fps

    public static final int PAL_1280x256_11t44_50fps

See Also:
  Constant Field Values

### PAL_1280x512_11t22_interlaced_50fps

    public static final int PAL_1280x512_11t22_interlaced_50fps

See Also:
  Constant Field Values

### MULTISCAN_160x480_88t22_58fps

    public static final int MULTISCAN_160x480_88t22_58fps

See Also:
  Constant Field Values

### MULTISCAN_160x960_88t11_interlaced_58fps

    public static final int MULTISCAN_160x960_88t11_interlaced_58fps

See Also:
  Constant Field Values

### MULTISCAN_320x480_44t22_58fps

    public static final int MULTISCAN_320x480_44t22_58fps

See Also:
  Constant Field Values

### MULTISCAN_320x960_44t11_interlaced_58fps

    public static final int MULTISCAN_320x960_44t11_interlaced_58fps

See Also:
  Constant Field Values

### MULTISCAN_640x480_22t22_58fps

    public static final int MULTISCAN_640x480_22t22_58fps

See Also:
  Constant Field Values

### MULTISCAN_640x960_22t11_interlaced_58fps

    public static final int MULTISCAN_640x960_22t11_interlaced_58fps

See Also:
  Constant Field Values

### EURO72_640x400_22t22_69fps

    public static final int EURO72_640x400_22t22_69fps

See Also:
  Constant Field Values

### EURO72_640x800_22t11_interlaced_69fps

    public static final int EURO72_640x800_22t11_interlaced_69fps

See Also:
  Constant Field Values

### EURO36_320x200_44t44_73fps

    public static final int EURO36_320x200_44t44_73fps

See Also:
  Constant Field Values

### EURO36_320x400_44t22_interlaced_73fps

    public static final int EURO36_320x400_44t22_interlaced_73fps

See Also:
  Constant Field Values

### EURO36_640x200_22t44_73fps

    public static final int EURO36_640x200_22t44_73fps

See Also:
  Constant Field Values

### EURO36_640x400_22t22_interlaced_73fps

    public static final int EURO36_640x400_22t22_interlaced_73fps

See Also:
  Constant Field Values

### EURO36_1280x200_11t44_73fps

    public static final int EURO36_1280x200_11t44_73fps

See Also:
  Constant Field Values

### EURO36_1280x400_11t22_interlaced_73fps

    public static final int EURO36_1280x400_11t22_interlaced_73fps

See Also:
  Constant Field Values

### SUPER72_200x300_68t40_71fps

    public static final int SUPER72_200x300_68t40_71fps

See Also:
  Constant Field Values

### SUPER72_200x600_68t20_interlaced_71fps

    public static final int SUPER72_200x600_68t20_interlaced_71fps

See Also:
  Constant Field Values

### SUPER72_400x300_34t40_71fps

    public static final int SUPER72_400x300_34t40_71fps

See Also:
  Constant Field Values

### SUPER72_400x600_34t20_interlaced_71fps

    public static final int SUPER72_400x600_34t20_interlaced_71fps

See Also:
  Constant Field Values

### SUPER72_800x300_17t40_71fps

    public static final int SUPER72_800x300_17t40_71fps

See Also:
  Constant Field Values

### SUPER72_800x600_17t20_interlaced_71fps

    public static final int SUPER72_800x600_17t20_interlaced_71fps

See Also:
  Constant Field Values

### DBLNTSC_320x200_44t52_58fps

    public static final int DBLNTSC_320x200_44t52_58fps

See Also:
  Constant Field Values

### DBLNTSC_320x400_44t26_58fps

    public static final int DBLNTSC_320x400_44t26_58fps

See Also:
  Constant Field Values

### DBLNTSC_320x800_44t13_interlaced_58fps

    public static final int DBLNTSC_320x800_44t13_interlaced_58fps

See Also:
  Constant Field Values

### DBLNTSC_640x200_22t52_58fps

    public static final int DBLNTSC_640x200_22t52_58fps

See Also:
  Constant Field Values

### DBLNTSC_640x400_22t26_58fps

    public static final int DBLNTSC_640x400_22t26_58fps

See Also:
  Constant Field Values

### DBLNTSC_640x800_22t13_interlaced_58fps

    public static final int DBLNTSC_640x800_22t13_interlaced_58fps

See Also:
  Constant Field Values

### DBLPAL_320x256_44t44_48fps

    public static final int DBLPAL_320x256_44t44_48fps

See Also:
  Constant Field Values

### DBLPAL_320x512_44t22_48fps

    public static final int DBLPAL_320x512_44t22_48fps

See Also:
  Constant Field Values

### DBLPAL_320x1024_44t11_interlaced_48fps

    public static final int DBLPAL_320x1024_44t11_interlaced_48fps

See Also:
  Constant Field Values

### DBLPAL_640x256_22t44_48fps

    public static final int DBLPAL_640x256_22t44_48fps

See Also:
  Constant Field Values

### DBLPAL_640x512_22t22_48fps

    public static final int DBLPAL_640x512_22t22_48fps

See Also:
  Constant Field Values

### DBLPAL_640x1024_22t11_interlaced_48fps

    public static final int DBLPAL_640x1024_22t11_interlaced_48fps

See Also:
  Constant Field Values

Constructor Detail

### AmigaDisplayInfo

    public AmigaDisplayInfo(int camg,
                            java.lang.String name,
                            java.awt.Dimension textOverscan,
                            java.awt.Dimension maxOverscan,
                            java.awt.Dimension minimalSize,
                            java.awt.Dimension maximalSize,
                            int colorRegisterDepth,
                            java.awt.Dimension resolution,
                            int pixelSpeed,
                            int fps)

Method Detail

### isOCS

    public boolean isOCS()

### isHAM

    public boolean isHAM()

### isEHB

    public boolean isEHB()

### isInterlace

    public boolean isInterlace()

### getAllInfos

    public static java.util.Map<java.lang.Integer,AmigaDisplayInfo> getAllInfos()

### getInfo

    public static AmigaDisplayInfo getInfo(int camg)

### getMonitorIds

    public static int[] getMonitorIds()

### getGoodMonitorIds

    public static int[] getGoodMonitorIds()

### getFPS

    public static int getFPS(int camg)

### getMonitorName

    public static java.lang.String getMonitorName(int camg)

### isDualPlayfield

    public boolean isDualPlayfield()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD